node-iconv_2.3.2-1_amd64.deb


Advertisement

Description

node-iconv - text recoding module for Node.js

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename node-iconv_2.3.2-1_amd64.deb
Package name node-iconv
Package version 2.3.2
Package release 1
Package architecture amd64
Package type deb
Category universe/web
Homepage https://github.com/bnoordhuis/node-iconv
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 12.73 KB
Installed size 46.00 KB
node-iconv provides a simple interface for converting text from one
character encoding to another.
Node.js is an event-based server-side javascript engine.

Alternatives

Package Version Architecture Repository
node-iconv_2.3.2-1_i386.deb 2.3.2 i386 Ubuntu Universe
node-iconv - - -

Requires

Name Value
libc6 >= 2.4
libnode64 -
libstdc++6 >= 5
nodejs -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package node-iconv_2.3.2-1_amd64.deb
Source Package node-iconv

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install node-iconv deb package:
    # sudo apt-get install node-iconv

Files

Path
/usr/lib/nodejs/iconv/package.json
/usr/lib/nodejs/iconv/lib/iconv.js
/usr/lib/nodejs/iconv/lib/iconv.node
/usr/share/doc/node-iconv/README.md.gz
/usr/share/doc/node-iconv/changelog.Debian.gz
/usr/share/doc/node-iconv/copyright

Changelog

2019-01-06 - Jérémy Lal <kapouer@melix.org>
node-iconv (2.3.2-1) unstable; urgency=medium
* New upstream version 2.3.2
* Patch to directly use Buffer instead of unavailable safer-buffer
* Update Vcs-* fields
* dh 10 knows how to deal with *.node files
* Build-Depends libnode-dev
* node-gyp >= 3.8.0-2 to correctly link against libnode
* Drop patch that renames node to nodejs
* Remove dh_nodejs
* Hardening flag
* DEB_BUILD_OPTIONS nocheck test
* Port glibc-iconv patch to new version
* Watch https
* Run test suite from autopkgtest (Closes: #874022)
* Standards-Version 4.3.0
2018-01-07 - Pirate Praveen <praveen@debian.org>
node-iconv (2.3.0-3) unstable; urgency=medium
* Team upload
* Reupload to unstable
2017-12-29 - Jérémy Lal <kapouer@melix.org>
node-iconv (2.3.0-2) experimental; urgency=medium
* Section: javascript
* Priority: optional
2017-09-02 - Pirate Praveen <praveen@debian.org>
node-iconv (2.3.0-1) unstable; urgency=medium
* Team upload
* New upstream release
2017-07-01 - Jérémy Lal <kapouer@melix.org>
node-iconv (2.2.1-3) unstable; urgency=medium
* Drop dependency on libc6-dev (Closes: #866732)
2016-10-16 - Jérémy Lal <kapouer@melix.org>
node-iconv (2.2.1-2) unstable; urgency=medium
* Latest libc6 version fix all translit bugs and with it,
node-iconv pass all its tests:
+ update patch accordingly
+ Build-Depends libc6-dev >= 2.24-4
Closes: #837285.
2016-10-08 - Jérémy Lal <kapouer@melix.org>
node-iconv (2.2.1-1) unstable; urgency=medium
* New upstream version 2.2.1
* Standards-Version 3.9.8
* Secure Vcs-* url
* Closes: #837285
2015-10-26 - Jérémy Lal <kapouer@melix.org>
node-iconv (2.1.11-1) unstable; urgency=medium
* Imported Upstream version 2.1.11
* Refresh patches
* Use dh_nodejs
2015-09-09 - Jérémy Lal <kapouer@melix.org>
node-iconv (2.1.10-1) unstable; urgency=medium
* Imported Upstream version 2.1.10 (Closes: #798439)
* Refresh glibc patch
2015-06-14 - Jérémy Lal <kapouer@melix.org>
node-iconv (2.1.8-1) unstable; urgency=medium
* Imported Upstream version 2.1.8 (Closes: #788696)
* Build-Depends node-nan >= 1.8
* Standards-Version 3.9.6
* Update glibc patch to remove tests for non-supported codepages
CP853, CP858, CP943.

See Also

Package Description
node-icss-replace-symbols_1.1.0-2_all.deb Replace symbols during the linking phase of ICSS
node-icss-utils_3.0.1-1_all.deb ICSS utils for postcss ast
node-ieee754_1.1.12-1_all.deb Libray to read or write IEEE754 floating point numbers
node-iferr_1.0.2-1_all.deb Higher-order functions for easier error handling
node-ignore-by-default_1.0.1-1_all.deb List of directories you should ignore by default
node-imagemagick_0.1.3-1_all.deb imagemagick module for NodeJS
node-immediate_3.2.3+dfsg-1_all.deb Immediate is a cross browser microtask library
node-import-lazy_3.0.0.REALLY.2.1.0-1_all.deb import a module lazily
node-imports-loader_0.7.1-1_all.deb imports loader module for webpack
node-imurmurhash_0.1.4-1_all.deb incremental implementation of MurmurHash3 hashing algorithm
node-indent-string_3.2.0-1_all.deb Indent each line in a string
node-inflight_1.0.6-1_all.deb add callbacks to requests in flight to avoid async duplication
node-inherits_2.0.3-1_all.deb Exposes inherits function from Node.js environment
node-ini_1.3.5-1_all.deb ini format parser and serializer for Node.js
node-inline-source-map_0.6.2~git-3_all.deb base64 encoded source mappings for a generated file
Advertisement
Advertisement